# Porridger

Food and other stuff sharing platform

## Dev build instructions

To connect to backend in dev mode edit `API_URL` to `localhost:8000` in `front/src/config.js`

Frontend:

```sh
cd front

npm i

npm run dev
```

Backend:

```sh
pip install -r requirements.txt

uvicorn back.main:app --reload
```

## Deploy instructions

Only docker/podman are required

```sh
docker build . -t porridger:build

docker run --name porridger -p 8080:80 -v ./sql_app.db:/app/sql_app.db porridger:build
```
